<?php
if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

$pan_config_data = unserialize($forum_config['o_pan_carousel_data']);

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

if (isset($_POST['save_config']))
{
	$form = array_map('trim', $_POST['form']);
	
	$data = array_map('trim', $_POST['data']);
	$form['pan_carousel_data'] = serialize($data);
	
	if($forum_config['o_pan_carousel'] != $form['pan_carousel'])
		$form['pan_carousel_data'] = '';
		
	foreach ($form as $key => $input)
	{
		if (array_key_exists('o_'.$key, $forum_config) && $forum_config['o_'.$key] != $input)
		{
			if ($input != '' || is_int($input))
				$value = '\''.$forum_db->escape($input).'\'';
			else
				$value = 'NULL';

			$query = array(
				'UPDATE'	=> 'config',
				'SET'		=> 'conf_value='.$value,
				'WHERE'		=> 'conf_name=\'o_'.$forum_db->escape($key).'\''
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
	        // Regenerate the config cache
	        if (!defined('FORUM_CACHE_FUNCTIONS_LOADED'))
	        	require FORUM_ROOT.'include/cache.php';

	            generate_config_cache();

	        // If changed sef - remove quick-jump cache
	        if (!empty($forum_config['o_sef']) && !empty($form['sef']))
	        {
	        	if ($forum_config['o_sef'] != $form['sef'])
	        	{
	        		clean_quickjump_cache();
	        	}
	        }
		}
	}
	
	$message = 'Настройки обновлены';
	$forum_flash->add_info($message);
	
	redirect($forum_url['admin_pan_carousel'], $message);
}

if (isset($_POST['upload_file'])) 
{
	$base_name_images = basename($_FILES['req_file']['name']);
	$mime_types = array('image/png', 'image/jpg', 'image/jpeg', 'image/gif', 'image/bmp');
	$base_url_images = FORUM_ROOT . $forum_url['pan_carousels_dir_imgs'] . $base_name_images;

	if (!in_array($_FILES['req_file']['type'], $mime_types) ) {
		$message = 'Файл не является изображением!';
	} else if (move_uploaded_file($_FILES['req_file']['tmp_name'], $base_url_images) ) {
			$message = "Изображение загружено.";
	} else {
			$message = "Не удалось загрузить изображение!";
	}

	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['admin_pan_carousel']), $message);
}


if(isset($_POST['delete_image']))
{
	$this_dir_imgs = FORUM_ROOT . $forum_url['pan_carousels_dir_imgs'];
	$this_image = $_POST['data']['one_logo'];
	
	if(file_exists($this_dir_imgs . $this_image) ) {
		unlink($this_dir_imgs . $this_image);
		$message = 'Image '.$this_image.' deleted!';
	} else {
		$message = 'Could not delete the file!';
	}
	
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['admin_pan_carousel']), $message);
}

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index']) ),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']) ),
	array('Настройки карусели', forum_link($forum_url['admin_pan_carousel']) )
);

define('FORUM_PAGE_SECTION', 'settings');
define('FORUM_PAGE', 'admin-admin_pan_carousel');

require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
	
	<div class="main-content main-frm">
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_pan_carousel']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_carousel'])) ?>" />
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span>Carousel settings</span></h2>
			 </div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld"><span>Carousel select</span><small>Select the plugin from the list and update your settings. After that you will be available to adjust the selected plug-in.</small></label><br />
					<span class="fld-input"><select id="fld" name="form[pan_carousel]">
						<option value="0" selected="selected">Disabled</option>
<?php
	$url_schemes = pan_carousels_select();
	foreach ($url_schemes as $schema)
	{
		if ($forum_config['o_pan_carousel'] == $schema)
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$schema.'" selected="selected">'.$schema.'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$schema.'">'.$schema.'</option>'."\n";
	}
	
?>
					</select></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld">
						<span>Where to show logo?</span><small>Select location</small>
					</label><br />
					<span class="fld-input">
						<select name="form[pan_carousel_position]">
<?php
		if ($forum_config['o_pan_carousel_position'] == '1')
			echo "\t\t\t\t\t\t\t\t".'<option value="1" selected="selected">Logo show the top</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="1">Logo at the top</option>'."\n";
		
		if ($forum_config['o_pan_carousel_position'] == '2')
			echo "\t\t\t\t\t\t\t\t".'<option value="2" selected="selected">Logo show the anoncement</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="2">Logo at the anoncement</option>'."\n";
		
		if ($forum_config['o_pan_carousel_position'] == '3')
			echo "\t\t\t\t\t\t\t\t".'<option value="3" selected="selected">Logo show the footer</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="3">Logo at the footer</option>'."\n";
?>
						</select>
					</span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Width</span><small>The width of the logo. Set to 0 for adaptive size.</small></label><br />
					<span class="fld-input"><input type="number" id="fld " name="form[pan_carousel_width]" size="5" maxlength="4" value="<?php echo forum_htmlencode($forum_config['o_pan_carousel_width']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>Height</span><small>Logo height. Set to 0 for adaptive size.</small></label><br />
					<span class="fld-input"><input type="number" id="fld " name="form[pan_carousel_height]" size="5" maxlength="4" value="<?php echo forum_htmlencode($forum_config['o_pan_carousel_height']) ?>" /></span>
				</div>
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span>Options the Title and Description </span></h2>
			 </div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_carousel_display_title]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_carousel_display_title]" value="1"<?php if ($forum_config['o_pan_carousel_display_title'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span>Display title</span>Displeed the title and description</label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld">
						<span>Vertical Text</span><small>Location text vertically</small>
					</label><br />
					<span class="fld-input">
						<select name="form[pan_carousel_text_align_vertical]">
<?php
		if ($forum_config['o_pan_carousel_text_align_vertical'] == 'top:10px;')
			echo "\t\t\t\t\t\t\t\t".'<option value="top:10px;" selected="selected">Show the top</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="top:10px;">Show the top</option>'."\n";
		
		if ($forum_config['o_pan_carousel_text_align_vertical'] == 'bottom:10px;')
			echo "\t\t\t\t\t\t\t\t".'<option value="bottom:10px;" selected="selected">Displayed on the bottom</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="bottom:10px;">Show the bottom</option>'."\n";
		
		if ($forum_config['o_pan_carousel_text_align_vertical'] == 'top:30%;')
			echo "\t\t\t\t\t\t\t\t".'<option value="top:30%;" selected="selected">Displayed on the center</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="top:30%;">Show the center</option>'."\n";
?>
						</select>
					</span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld">
						<span>Horizontal Text</span><small>Location text horizontally.</small>
					</label><br />
					<span class="fld-input">
						<select name="form[pan_carousel_text_align_horizontal]">
<?php
		if ($forum_config['o_pan_carousel_text_align_horizontal'] == '')
			echo "\t\t\t\t\t\t\t\t".'<option value="" selected="selected">Show the left</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="">Show the left</option>'."\n";
		
		if ($forum_config['o_pan_carousel_text_align_horizontal'] == 'right:0;')
			echo "\t\t\t\t\t\t\t\t".'<option value="right:0;" selected="selected">Displayed on the right</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="right:0;">Show the right</option>'."\n";
?>
						</select>
					</span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Color Title</span><small>If support HTML5</small></label><br />
					<span class="fld-input"><input type="color" id="fld" name="form[pan_carousel_color_title]" value="<?php echo (!empty($forum_config['o_pan_carousel_color_title']) ? $forum_config['o_pan_carousel_color_title'] : '#000' ) ?>"/></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Color Desc</span><small>If support HTML5</small></label><br />
					<span class="fld-input"><input type="color" id="fld" name="form[pan_carousel_color_desc]" value="<?php echo (!empty($forum_config['o_pan_carousel_color_desc']) ? $forum_config['o_pan_carousel_color_desc'] : '#000' ) ?>"/></span>
				</div>
			</div>
			
<?php
if ($forum_config['o_pan_carousel'] != '0') 
{
	if(file_exists( FORUM_ROOT . $forum_url['pan_carousels_dir_options'] ) )
		require FORUM_ROOT . $forum_url['pan_carousels_dir_options'];
}
?>
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="<?php echo 'Save Config' ?>" /></span>
				<span class="submit primary"><input type="submit" name="delete_image" value="<?php echo 'Delete Image' ?>" /></span>
			</div>
		</form>
		
	</div>
	
<?php
if ($forum_config['o_pan_carousel'] != '0') {
?>
	
	<div class="main-content main-frm">
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo (forum_link($forum_url['admin_pan_carousel']) ) ?>" enctype="multipart/form-data">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_carousel']) ) ?>" />
			</div>
			
			<div class="content-head">
				<h3 class="hn"><span>Upload images</span></h3>
			</div>

			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong><?php echo 'Edit forum details legend' ?></strong></legend>

				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box text required">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Form download</span><small>Select the image and click Download</small></label><br />
						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" name="req_file" type="file" size="40" /></span>
					</div>
				</div>
			</fieldset>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="upload_file" value="Download image" /></span>
			</div>
		</form>
	</div>
	
<?php
}
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';